/*
Copyright © 2025 Jake jake.young.dev@gmail.com
*/
package cmd

import (
	"fmt"

	"code.jakeyoungdev.com/jake/mctl/database"
	"github.com/spf13/cobra"
)

// destroyCmd represents the destroy command
var destroyCmd = &cobra.Command{
	Use: "destroy",
	// Short: "Clear all configuration",
	// Long:  `Clears all configuration values for mctl. [WARNING] all server configuration will be lost`,
	Run: func(cmd *cobra.Command, args []string) {
		db, err := database.New()
		cobra.CheckErr(err)
		defer db.Close()

		err = db.Destroy()
		cobra.CheckErr(err)

		fmt.Println("Configuration is cleared, the 'init' command must be run again.")
	},
}

func init() {
	rootCmd.AddCommand(destroyCmd)
}
